%define module POE-Test-Loops
%define m_distro POE-Test-Loops
%define m_name POE::Test::Loops
%define m_author_id CPAN
%define _enable_test 1

%add_findreq_skiplist */POE/Test/Loops/wheel_curses.pm 

Name: perl-POE-Test-Loops
Version: 1.030
Release: alt1

Summary: POE::Loop test suite

License: Artistic
Group: Development/Perl
Url: http://search.cpan.org/dist/POE-Test-Loops/

Packager: Michael Bochkaryov <misha@altlinux.ru>

BuildArch: noarch
Source: http://search.cpan.org//CPAN/authors/id/R/RC/RCAPUTO/%m_distro-%version.tar.gz

# Automatically added by buildreq on Thu Oct 15 2009 (-bi)
BuildRequires: perl-POE perl-devel

%description
POE::Test::Loops contains one function, generate(), which will
generate all the loop tests for one or more POE::Loop subclasses.

The "SYNOPSIS" example is a version of poe-gen-tests, which is a
stand-alone utility to generate the actual tests.  poe-gen-tests
also documents the POE::Test::Loops system in more detail.

%prep
%setup -q -n %m_distro-%version

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -rf %buildroot%perl_vendor_man3dir/

%files
%perl_vendor_privlib/POE/*
%_man1dir/*
%_bindir/*
%doc CHANGES README

%changelog
* Thu Oct 15 2009 Michael Bochkaryov <misha@altlinux.ru> 1.030-alt1
- initial build for ALT Linux Sisyphus

